"""
VMWare collector for CMDBase.
"""
from .utils import get_obj_ref, get_obj_name, get_obj_name_or_ref, get_obj_path, get_obj_type, get_obj_attr, dictify_ov
from .commands import add_arguments
from .dump import inspect_obj
from .commons import Context, Entity
from .datastore import Datastore
from .host import Host
from .license import License
from .vm import VM


try:
    # Version generated by setuptools_scm during build
    from ._version import __version__ # type: ignore
except ImportError:
    __version__ = None


__all__ = [_obj.__name__ for _obj in [
    # Context and generic entity classes
    Context, Entity,
    # Entity classes
    Datastore, Host, License, VM,
    # Manipulation of VMWare managed objects
    get_obj_ref, get_obj_name, get_obj_name_or_ref, get_obj_path, get_obj_type, get_obj_attr, dictify_ov, inspect_obj,
    # Definition of commands
    add_arguments,
]]
